### Method

# Gtk TextBufferselect_range

#### Declaration [src]

    void
    gtk_text_buffer_select_range (
      GtkTextBuffer* buffer,
      const GtkTextIter* ins,
      const GtkTextIter* bound
    )

#### Description [src]

This function moves the “insert” and “selection_bound” marks simultaneously.

If you move them in two steps with `gtk_text_buffer_move_mark()`, you will temporarily select a region in between their old and new locations, which can be pretty inefficient since the temporarily-selected region will force stuff to be recalculated. This function moves them as a unit, which can be optimized.

#### Parameters

`ins`

  Type: `GtkTextIter`

  Where to put the “insert” mark.

  The data is owned by the caller of the method.

`bound`

  Type: `GtkTextIter`

  Where to put the “selection_bound” mark.

  The data is owned by the caller of the method.